Python
# To use the Python SDK, install the package:
# pip install mem0ai
from mem0 import MemoryClient
client = MemoryClient(api_key="your_api_key")
delete_memories = [
{"memory_id": "285ed74b-6e05-4043-b16b-3abd5b533496"},
{"memory_id": "2c9bd859-d1b7-4d33-a6b8-94e0147c4f07"}
]
response = client.batch_delete(delete_memories)
print(response)// To use the JavaScript SDK, install the package:
// npm i mem0ai
import MemoryClient from 'mem0ai';
const client = new MemoryClient({ apiKey: "your-api-key" });
const deleteMemories = [
{ memory_id: "285ed74b-6e05-4043-b16b-3abd5b533496" },
{ memory_id: "2c9bd859-d1b7-4d33-a6b8-94e0147c4f07" }
];
client.batchDelete(deleteMemories)
.then(response => console.log('Batch delete response:', response))
.catch(error => console.error(error));curl -X DELETE "https://api.mem0.ai/v1/batch/" \
-H "Authorization: Token your-api-key" \
-H "Content-Type: application/json" \
-d '{
"memories": [
{
"memory_id": "285ed74b-6e05-4043-b16b-3abd5b533496"
},
{
"memory_id": "2c9bd859-d1b7-4d33-a6b8-94e0147c4f07"
}
]
}'
{
"message": "Successfully deleted 2 memories"
}{
"error": "Maximum of 1000 memories can be deleted in a single request"
}Memory Management
Batch Delete Memories
Delete multiple memories in a single batch request using the Mem0 API DELETE endpoint.
DELETE
/
v1
/
batch
/
Python
# To use the Python SDK, install the package:
# pip install mem0ai
from mem0 import MemoryClient
client = MemoryClient(api_key="your_api_key")
delete_memories = [
{"memory_id": "285ed74b-6e05-4043-b16b-3abd5b533496"},
{"memory_id": "2c9bd859-d1b7-4d33-a6b8-94e0147c4f07"}
]
response = client.batch_delete(delete_memories)
print(response)// To use the JavaScript SDK, install the package:
// npm i mem0ai
import MemoryClient from 'mem0ai';
const client = new MemoryClient({ apiKey: "your-api-key" });
const deleteMemories = [
{ memory_id: "285ed74b-6e05-4043-b16b-3abd5b533496" },
{ memory_id: "2c9bd859-d1b7-4d33-a6b8-94e0147c4f07" }
];
client.batchDelete(deleteMemories)
.then(response => console.log('Batch delete response:', response))
.catch(error => console.error(error));curl -X DELETE "https://api.mem0.ai/v1/batch/" \
-H "Authorization: Token your-api-key" \
-H "Content-Type: application/json" \
-d '{
"memories": [
{
"memory_id": "285ed74b-6e05-4043-b16b-3abd5b533496"
},
{
"memory_id": "2c9bd859-d1b7-4d33-a6b8-94e0147c4f07"
}
]
}'
{
"message": "Successfully deleted 2 memories"
}{
"error": "Maximum of 1000 memories can be deleted in a single request"
}Authorizations
API key authentication. Prefix your Mem0 API key with 'Token '. Example: 'Token your_api_key'
Body
application/json
Array of memory objects to delete.
Maximum array length:
1000Show child attributes
Show child attributes
Response
Successfully deleted memories
Example:
"Successfully deleted 2 memories"
Was this page helpful?
⌘I